# Multi-Models for Images in pyTorch (MMIT)

<div align="center">
  
 **mmit** is a python library with pretrained building blocks for Computer Vision models.

[![License badge](https://img.shields.io/github/license/abcamiletto/mmit?style=for-the-badge)](https://github.com/abcamiletto/mmit/blob/master/LICENSE)
[![PyTorch - Version](https://img.shields.io/badge/PYTORCH-1.10+-red?style=for-the-badge&logo=pytorch)](https://pepy.tech/project/segmentation-models-pytorch) 
[![Python - Version](https://img.shields.io/badge/PYTHON-3.8+-red?style=for-the-badge&logo=python&logoColor=white)](https://pepy.tech/project/segmentation-models-pytorch) 

</div>

## Why mmit?

mmit is a library that provides building blocks for Computer Vision models. Heavily inspired by [SMP](https://github.com/qubvel/segmentation_models.pytorch), we aim at providing a unified interface for all encoder and decoders, so that any composition is plug and play.
It is designed to be flexible in order to support rapid implementation and evaluation of novel research. It is also designed to be fast, modular, and extensible. mmit is built on top of PyTorch.


  
## To Do List

In the future, we plan to add support for:

- [x] timm encoders
- [ ] some of timm transformers encoders
- [ ] torchvision / torchub models
- [x] UNet and UNet++ decoders
- [ ] other decoders
- [ ] multiple heads
- [ ] popular loss function
- [ ] popular datasets
- [ ] popular metrics

## Awesome Sources

- [PyTorch](https://pytorch.org/)
- [PyTorch Lightning](https://www.pytorchlightning.ai/)
- [Timm](https://github.com/huggingface/pytorch-image-models)
- [SMP](https://github.com/qubvel/segmentation_models.pytorch)
